/****************************************************************************/
/*  OMAP3530EVM.cmd                                                         */
/*  Copyright (c) 2010  Texas Instruments Incorporated                      */
/*                                                                          */
/*    Description: This file is a sample linker command file that can be    */
/*                 used for linking programs built with the C compiler and  */
/*                 running the resulting .out file on an OMAP3530 EVM.      */
/*                 Use it as a guideline.  You will want to                 */
/*                 change the memory layout to match your specific          */
/*                 target system.  You may want to change the allocation    */
/*                 scheme according to the size of your program.            */
/*                                                                          */
/****************************************************************************/
-c
-heap  0x2000
-stack 0x4000

/* Memory Map 1 - the default */
MEMORY
{
        GPMC_CS1	o = 0x08000000	l = 0x01000000	/* General Purpose on CS1 - external connector */
        GPMC_CS3	o = 0x18000000	l = 0x01000000	/* General Purpose on CS3 - external connector */
        FLASH:		o = 0x20000000	l = 0x10000000	/* External NAND FLASH - 256MB */
        /*GPMC_CS4	o = 0x28000000	l = 0x01000000*/	/* General Purpose on CS4 - external connector */
        /*GPMC_CS5:	o = 0x2C000000	l = 0x000003FF*/	/* Ethernet MAC/PHY */
        GPMC_CS6:	o = 0x30000000	l = 0x08000000	/* General Purpose on CS6 - external connector */
        GPMC_CS7:	o = 0x38000000	l = 0x08000000	/* General Purpose on CS7 - external connector */
        EXT_CS0:	o = 0x80000000	l = 0x10000000	/* External mDDR in CS0 - 256MB */
}

SECTIONS
{
    .text       >       EXT_CS0
    .stack      >       EXT_CS0
    .bss        >       EXT_CS0
    .cinit      >       EXT_CS0
    .cio        >       EXT_CS0
    .const      >       EXT_CS0
    .data       >       EXT_CS0
    .switch     >       EXT_CS0
    .sysmem     >       EXT_CS0
    .far        >       EXT_CS0
    .ppdata     >       EXT_CS0
    .saram		>		EXT_CS0
    .init_array	>		EXT_CS0
    .pinit		>		EXT_CS0
}
